<?php

namespace Ig\IgNewsletter\ViewHelpers;


use TYPO3\CMS\Core\Utility\GeneralUtility;

class WidthViewHelper extends \TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper {
 

  /**
     * Initialize arguments.
     */
    public function initializeArguments()
    {
      $this->registerArgument('width', 'double', 'Width in %', false, 100 );
      $this->registerArgument('addBefore', 'double', 'Add px to pageWidth before %', false, 0 );
      $this->registerArgument('addAfter', 'double', 'Add px after %', false, 0 );
    }


    public function render()  {
      $setupUtility=GeneralUtility::makeInstance(\Ig\IgNewsletter\Utility\SetupUtility::class);
      $pageWidth= $setupUtility->getWidth();

      //$width= round(($pageWidth+intval($this->arguments['addBefore']))*intval($this->arguments['width'])/100)+intval($this->arguments['addAfter']);
      $width= floor(($pageWidth+intval($this->arguments['addBefore']))*intval($this->arguments['width'])/100)+intval($this->arguments['addAfter']);
      return $width;
    }

}